Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1731901 - synce-sync-engine fails to install in Fedora 31
Summary: synce-sync-engine fails to install in Fedora 31
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: synce-sync-engine
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-07-22 11:13 UTC by Miro Hrončok
Modified: 2023-09-14 05:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-13 14:47:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-22 11:13:01 UTC
$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install synce-sync-engine
Problem: conflicting requests
 - nothing provides python2-librtfcomp needed by synce-sync-engine-0.15.1-17.fc29.x86_64


Please fix synce-sync-engine (preferably by converting to Python 3) or retire it. Thanks.

Comment 1 Miro Hrončok 2019-07-29 09:22:04 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(If you know for sure this package shall be removed, consider doing it.)

Thank You!

Comment 2 Miro Hrončok 2019-08-05 08:46:35 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 3 Miro Hrončok 2019-08-13 14:47:28 UTC
This package was retired in the meantime.

Comment 4 Red Hat Bugzilla 2023-09-14 05:32:09 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.